List all administrators

Returns the details of existing administrators in the Cloud Console.

Note

To use this API endpoint, enable the Administrator API from Druva Cloud settings.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
≥ 1
Defaults to 100

Specify the maximum number of records that should be returned in a response.

integer
≥ 1
Defaults to 1

Specify the desired page number

string

Specify the page token to access the next page of results. Keep this field blank in the first request. Use the token value received in the previous response's parameter 'nextPageToken'. NOTE: pageNumber and pageToken cannot be used together.

string
enum
Defaults to adminName

Specify the field to sort the admins on

Allowed:
string
enum
Defaults to ASC

Specify the order in which the admins has to be sorted

Allowed:
string

Specify the string to be searched on adminName

string

Specify the filters to be applied

{
  "lastLogin": 1234567,
  "productId": [4097,8193,12289],
  "adminState": [
    "ACTIVE","DISABLED"
  ],
  "provisioningMode": [
    "Manual","AD_LDAP"
  ]
}

Filters Structure:

  • lastLogin (float): Specify the last login time on which the admins has to be filtered
  • productId (array of integers): Specify the productID(s) on which the admins has to be filtered. Allowed values: 4097 - DruvaCloud admins, 8193 - Insync Product admins, 12289 - Enterprise Workloads' Product admins
  • adminState (array of strings): Specify the list of admin states on which the admins has to be filtered. Allowed values: ACTIVE, DISABLED
  • provisioningMode (array of strings): Specify the list of creation modes on which the admins has to be filtered. Allowed values: Manual, AD_LDAP
Headers
string
enum
required

Request content type header

Allowed:
Responses

400

Bad Request

404

The requested resource was not found.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json